#ifndef CAMPGRID_H
#define CAMPGRID_H

#include <core.h>
#include "data/camp-data.h"
#include "camp-odb.hxx"

class CampGrid : public GridForm<CampData>
{
public:
    CampGrid(QWidget *parent = NULL);

    // IGridForm interface
protected:
    void handleNewRecord();
    void handleEditRecord();

    // GridForm interface
protected:
    void doDelete(CampDataPtr entity);

private:
    void addToVoucher(CampDataPtr data);

};

#endif // CAMPGRID_H
